﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Entitlements using Schema Based Upload</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Entitlements using Schema Based Upload</h1>
        <p>You can upload entitlement details such as entitlement values, entitlement owners, and&#160;entitlement hierarchy (parent and child entitlements) using the schema-based upload method. This method uses a combination of CSV and SAV files for uploading the entitlement details.&#160;The CSV file is used for uploading the entitlement data and the corresponding SAV file must contain the mapping details required for storing the uploaded data in IGA.</p>
        <p>IGA provides samples of SAV and CSV files containing example values for entitlement details. These sample files are listed in the below table:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 21.8868%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 23.0882%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 55.0388%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SAV File Name</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">CSV File Name</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/ENTITLEMENTS2.sav">ENTITLEMENTS2.sav</a>&#160;&#160;</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/Entitlement2_Import.csv">Entitlement2_Import.csv</a>
                            </p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Use the sample files to establish the parent-child relationship among entitlements.&#160;</p>
                            <div>
                                <ul>
                                    <li>
                                        <p class="table-text">Use the <label class="filename-path">ENTITLEMENTS2.sav </label>file to upload the mapping details.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Use the<label class="filename-path"> Entitlement2_Import.csv</label> file to upload the entitlement data.</p>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/ENTITLEMENT_VALUES.SAV">ENTITLEMENT_VALUES.sav</a>
                            </p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/Entitlement_Values.csv">Entitlement_Values.csv</a>
                            </p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Use the sample files to&#160;upload new entitlements or update the existing entitlements in IGA.</p>
                            <div>
                                <ul>
                                    <li>
                                        <p class="table-text">Use the <label class="filename-path">ENTITLEMENT_VALUES.sav</label> file to upload the mapping details.</p>
                                    </li>
                                </ul>
                                <ul>
                                    <li>
                                        <p class="table-text">Use the<label class="filename-path"> Entitlement_Values.csv</label> file to upload the entitlement data</p>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/ENTITLEMENT_OWNERS.sav">ENTITLEMENT_OWNERS.sav</a>
                            </p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/Entitlement_Owner_Import.csv">Entitlement_Owner_Import.csv</a>
                            </p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Use the sample files to&#160;add or update owners for the existing entitlements.</p>
                            <div>
                                <ul>
                                    <li>
                                        <p class="table-text">Use the<label class="filename-path"> ENTITLEMENT_OWNERS.sav</label> file to upload the mapping details.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Use the <label class="filename-path">Entitlement_Owner_Import.csv </label>file to upload the entitlement data</p>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Contents of Upload Files</h2>
        <p>IGA provides different SAV and CSV files for helping you upload different details of entitlements. This section describes the purpose of each file.</p>
        <h3>Entitlements2 File</h3>
        <p>Use the Entitlements2&#160;SAV file to&#160;establish the parent-child relationship among entitlements. You can only add or update one level of the parent-child relationship, but a parent entitlement can have multiple child entitlements. The below table lists the properties of this SAV file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 270px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 66.395%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILE_NAME_STARTS_WITH</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the string that you want to add as a prefix to the name of the&#160;corresponding CSV file.&#160;When multiple CSV files with the same prefix are uploaded, all the files will be processed by IGA.&#160;</p>
                            <p class="table-text">For example, if you specify&#160;Entitlement2_Import for this property, then the CSV file name can be:&#160;<label class="filename-path">Entitlement2_Import.csv</label>,&#160;<label class="filename-path">Entitlement2_Import1.csv</label>, <label class="filename-path">Entitlement2_Import_2.csv</label>, or any file name that starts with&#160;Entitlement2_Import and has a .csv extension.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SKIP_NO_OF_LINES</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify how many lines to skip in the file.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILE_IMPORT_DELIMETER</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the delimiter&#160;to use to separate the data items in the file.&#160;For example, (,), (\)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">EMAILTEMPLATE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the Email Template to use for sending an email notification if the upload fails.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CREATE_ENTITLEMENT_VALUE1_IF_NOT_EXIST</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;<strong>Yes</strong> if you want to create a new entitlement value for the parent entitlement.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CREATE_ENTITLEMENT_VALUE2_IF_NOT_EXIST</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;<strong>Yes</strong> if you want to create a new entitlement value for the child entitlement.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">ENTITLEMENTS2_NOT_IN_FILE_ACTION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">Specify the action to take for the child entitlements&#160;that are not included in the CSV file but present in IGA:&#160;<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p class="table-text"><strong>Delete: </strong>Use this action to remove the existing child entitlements from IGA and upload the child entitlements from the CSV file.</p></li><li><p class="table-text"><strong>No Action: </strong>Use this action to retain the existing child&#160;entitlements in IGA and&#160;upload the child entitlements from the CSV file.</p></li></ul></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3>Entitlement2_Import.csv</h3>
        <p>The below table lists the properties of&#160;<label class="filename-path">Entitlement2_Import.csv </label>file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" style="width: 270px;" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEMS1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the security system that exists in IGA for the parent entitlement.&#160;For example, CorpAD,&#160;Amigopod, AD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEMS2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the security system that exists in IGA for the child entitlements.&#160;For example, CorpAD, Amigopod, AD.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">The security system defined for the parent and child entitlement need not be the same. The parent-child relationship can exist across different security systems.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINTS1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the endpoint associated with the security system for the parent entitlement.&#160;For example, CorpAD, Amigopod, AD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINTS2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the endpoint associated with the security system for the child entitlements.&#160;For example, CorpAD, Amigopod, AD.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">The endpoints defined for the parent and child entitlement need not be the same. The parent-child relationship can exist across different endpoints.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENTTYPE1&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the entitlement type&#160;associated with the security system for the parent entitlement.&#160;For example,&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">member_of in case of Active Directory</p>
                                </li>
                                <li>
                                    <p class="table-text">Profile in case of Salesforce&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENTTYPE2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the entitlement type&#160;associated with the security system for the child entitlements.&#160;For example,&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">member_of in case of Active Directory</p>
                                </li>
                                <li>
                                    <p class="table-text">Profile in case of Salesforce&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_VALUE1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement value&#160;associated with the security system for the parent entitlement.&#160;For example, Salesforce_Admin.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_VALUE2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the entitlement value&#160;associated with the security system for&#160;child entitlements.&#160;For example, Salesforce_Admin.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3>ENTITLEMENT_VALUES File</h3>
        <p>Use the&#160;ENTITLEMENT_VALUES  &#160;SAV file to upload new entitlements or update the existing entitlements in IGA. You can also use this file to upload details for&#160;creating a new security system,&#160;endpoint, or an entitlement type. You can import entitlement owners and assign more than 25 owner ranks to them. However, only one user is assigned the&#160;primary certifier rank and the remaining users are assigned as secondary certifiers.  &#160;The below table lists the properties of this SAV file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 270px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 66.6785%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILE_NAME_STARTS_WITH</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the string that you want to add as a prefix to the name of the&#160;corresponding CSV file.&#160;</p>
                            <p class="table-text">For example, if you specify&#160;Entitlement_Values&#160;for this property, then the CSV file name can be:&#160;<label class="filename-path">Entitlement_Values.csv</label>,&#160;<label class="filename-path">Entitlement_Values1.csv</label>, <label class="filename-path">Entitlement_Values_2.csv</label>, or any file name that starts with&#160;Entitlement_Values&#160;and has a .csv extension.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SKIP_NO_OF_LINES</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify how many lines to skip in the file.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILE_IMPORT_DELIMETER</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the delimiter&#160;to use to separate the data items in the file.&#160;For example, (,), (\)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">EMAILTEMPLATE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the Email Template to use for sending an email notification if the upload fails.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CREATE_SECURITYSYSTEM_IF_NOT_EXIST</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;<strong>Yes</strong> if you want to create a new security system.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CREATE_ENDPOINT_IF_NOT_EXIST_IN_SECURITYSYSTEM</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;<strong>Yes</strong> if you want to create a new endpoint for the selected security system.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CREATE_ENTITLEMENTTYPE_IF_NOT_EXIST_IN_ENDPOINT</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;<strong>Yes</strong> if you want to create a new entitlement type in the selected endpoint.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_VALUES_NOT_IN_FILE_ACTION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">Specify the action to take for the entitlementsthat are not included in the CSV file but present in IGA:&#160;<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p class="table-text"><strong>Delete: </strong>Use this action to remove the existing entitlements from IGA and upload the entitlements from the CSV file.</p></li><li><p class="table-text"><strong>No Action: </strong>Use this action to retain the existing entitlements in IGA and&#160;upload the entitlements from the CSV file.</p></li></ul></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3 id="UploadingEntitlementsusingSchema-BasedUpload-Entitlement_Values.csv">Entitlement_Values.csv&#160;</h3>
        <p>The below table lists the properties of&#160;<label class="filename-path">Entitlement_Values.csv&#160;</label> file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="mc-table-style: url('../../Resources/TableStyles/Default-Table.css');width: 100%;" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" style="width: 270px;" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEMS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the security system associated with the entitlements that you are uploading.&#160;For example, CorpAD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINTS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the endpoint associated with the security system for the entitlements that you are uploading.&#160;For example, CorpAD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENTTYPE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement type&#160;associated with the security system for the entitlements that you are uploading.&#160;For example,&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">member_of in case of Active Directory</p>
                                </li>
                                <li>
                                    <p class="table-text">Profile in case of Salesforce&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_VALUE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement value&#160;associated with the security system for the entitlements that you are uploading.&#160;For example, Salesforce_Admin.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT OWNER</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the owner for the entitlements that you are uploading. The uploaded owner is displayed in the Owner tab along with the rank and other details.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CUSTOMPROPERTY1 to 5</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify&#160;the name of the&#160;custom property that you want to use for providing additional details of entitlements.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">STATUS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the current status of the entitlements that you are uploading. An entitlement can have one of the following statuses:</p>
                            <ul>
                                <li>
                                    <p><strong>0: </strong>Indicates that the current status of the entitlement is inactive.</p>
                                </li>
                                <li>
                                    <p><strong>1: </strong>Indicates that the current status of the entitlement is active.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SOXCRITICAL</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the SOX criticality of the entitlements that you are uploading.&#160;An entitlement can have one of the following&#160;criticality levels:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Very Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Medium</p>
                                </li>
                                <li>
                                    <p class="table-text">High</p>
                                </li>
                                <li>
                                    <p class="table-text">Critical</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SYS CRITICALITY</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the criticality of the system.&#160;The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Very Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Medium</p>
                                </li>
                                <li>
                                    <p class="table-text">High</p>
                                </li>
                                <li>
                                    <p class="table-text">Critical</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">PRIVILEGED</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the appropriate privileged factor.&#160;The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Very Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Medium</p>
                                </li>
                                <li>
                                    <p class="table-text">High</p>
                                </li>
                                <li>
                                    <p class="table-text">Critical</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">FINANCIAL</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Select the impact on the financial.&#160;The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Very Low</p>
                                </li>
                            </ul>
                            <ul>
                                <li>
                                    <p class="table-text">Low</p>
                                </li>
                                <li>
                                    <p class="table-text">Medium</p>
                                </li>
                                <li>
                                    <p class="table-text">High</p>
                                </li>
                                <li>
                                    <p class="table-text">Critical</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3>ENTITLEMENT_OWNERS File</h3>
        <p>Use the&#160;ENTITLEMENT_OWNERS&#160;SAV file to add or update owners for the existing entitlements.&#160;The below table lists the properties of this SAV file.&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 270px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 66.7255%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILE_NAME_STARTS_WITH</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the string that you want to add as a prefix to the name of the&#160;corresponding CSV file.&#160;</p>
                            <p class="table-text">For example, if you specify&#160;Entitlement_Owner_Import&#160;for this property, then the CSV file name can be:<label class="filename-path">&#160;Entitlement_Owner_Import.csv</label>,&#160;<label class="filename-path">Entitlement_Owner_Import1.csv</label>, <label class="filename-path">Entitlement_Owner_Import_2.csv</label>, or any file name that starts with&#160;Entitlement_Owner_Import&#160;and has a .csv extension.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SKIP_NO_OF_LINES</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify how many lines to skip in the file.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILE_IMPORT_DELIMETER</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the delimiter&#160;to use to separate the data items in the file.&#160;For example, (,), (\)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">EMAILTEMPLATE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the Email Template to use for sending an email notification if the upload fails.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_OWNER_NOT_IN_FILE_ACTION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">Specify the action to take for the entitlement owner that is not included in the CSV file but present in IGA:&#160;<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p style="text-align: left;"><strong>Delete: </strong>Select this option to remove the existing entitlement owner and import the entitlement owner from the CSV file.</p></li><li><p style="text-align: left;"><strong>No Action: </strong>Select this option to retain&#160;the existing entitlement owner and&#160;import the entitlement owner from the CSV file.</p></li></ul></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3>Entitlement_Owner_Import.csv File</h3>
        <p style="margin-left: 0.0px;text-align: left;">The below table lists the properties of&#160;Entitlement_Owner_Import.csv file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" style="width: 270px;" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINTS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the endpoint associated with the security system that you are uploading.&#160;For example, CorpAD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENTTYPE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement type&#160;associated with the security system that you are uploading.&#160;For example,&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">member_of in case of Active Directory</p>
                                </li>
                                <li>
                                    <p class="table-text">Profile in case of Salesforce&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_VALUE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the entitlement value existing in the security system that you are uploading.&#160;For example, Salesforce_Admin.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT OWNER</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the owner for the entitlements that you are uploading. The uploaded owner is displayed in the <strong>Owner </strong>tab along with the rank and other details.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">RANK</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the rank of the owner. You can specify values from 1 to 25.&#160;Entitlement requests are assigned to owners based on their rank.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">From Release v5.5 onwards, you can specify more than 25 ranks for entitlement owners. The owner ranks are imported in text formats such as Primary Certifier and Secondary Certifier. When the entitlements are uploaded, only one user can be assigned a&#160;Primary Certifier&#160;rank in the <strong>Entitlement Owner</strong> column.</p>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Uploading the Entitlement Details</h2>
        <h3 style="text-align: left;" id="UploadingEntitlementsusingSchema-BasedUpload-Prerequisites">Prerequisites</h3>
        <ul>
            <li>
                <p>Depending on the entitlement details that you want to upload, download the required sample CSV and SAV files, add the entitlement details to them, and keep them ready for uploading.</p>
            </li>
            <li>
                <p>Ensure that the CSV file name must start with the string that you&#160;specified for the&#160;<strong>FileNameStartswith</strong> property for the type of upload that you are performing.</p>
            </li>
            <li>
                <p>Ensure that the SAV file name is suffixed with one of these strings,&#160;ENTITLEMENT_VALUES,&#160;ENTITLEMENT_OWNERS,&#160;ENTITLEMENTS2, based on the type of upload you are performing.&#160;For example:&#160;2_ENTITLEMENT_VALUES.SAV, HR_ENTITLEMENT_OWNERS.SAV, Admin_ENTITLEMENTS2.SAV</p>
            </li>
        </ul>
        <h3>Upload Procedure</h3>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; File Directory</strong>.<br />The <strong>File Directory</strong> page is displayed.</p>
            </li>
            <li>
                <p>Select the tab depending on the file you want to upload (<strong>SAV </strong>for uploading an SAV file, <strong>Datafiles </strong>for uploading a CSV file).&#160;</p>
            </li>
            <li>
                <p>Click the <strong>Upload</strong> icon or you can also select <strong>Upload New File</strong>.<br />The <strong>File To Upload</strong> dialog box is displayed.</p>
            </li>
            <li>
                <p>In the <strong>File To Upload</strong> dialog box, do the following:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>Data File </strong>box.</p>
                    </li>
                    <li>
                        <p>Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>Data File </strong>box.</p>
                    </li>
                    <li>
                        <p>Click <strong>Upload</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message appears at the top of the page.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">
                                If an SAV file or a CSV file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the ENTITLEMENT_VALUES.sav file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                        </div>
                    </li>
                </ol>
            </li>
            <li>
                <p class="auto-cursor-target">Create a new job from&#160;<strong>Admin &gt; Job Control Panel &gt; Add New Job</strong>. </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p class="auto-cursor-target">Select&#160;<strong>Job Type</strong> as&#160;<strong>SCHEMA &gt; File based Entitlement Import (SchemaEntitlementJob) </strong>and&#160;click&#160;<strong>+ Add New Job </strong>to create a new instance of the job.&#160;If you are using IGA version prior to 5.5.0, create a new instance of the job from&#160;<strong> ADMIN &gt; Job Control Panel&#160;&gt; SCHEMA &gt; File based Entitlement Import (SchemaEntitlementJob)</strong>.&#160;</p>
                    </li>
                    <li>
                        <p>To view the job that you created, click <strong>File based Entitlement Import (SchemaEntitlementJob)</strong>.</p>
                    </li>
                    <li>
                        <p>To start the job, click&#160;<strong>Action</strong>, then click&#160;<strong>START</strong>.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p class="auto-cursor-target">In the Schema File Job Type pop-up window, select <strong>Schema File</strong> as <strong>Job Type</strong> and choose the options to upload your entitlement details. The options are:</p>
                <ul>
                    <li>
                        <p class="auto-cursor-target">Import Entitlement_Values</p>
                    </li>
                    <li>
                        <p class="auto-cursor-target">Import Entitlement_Hierarchy</p>
                    </li>
                    <li>
                        <p class="auto-cursor-target">Import Entitlement_Owners</p>
                    </li>
                </ul>
                <p>After&#160;the job is executed, the corresponding entitlement data is uploaded to IGA. The status of the job is available in&#160;<strong style="text-align: left;">Job History Details</strong>. If there is a mismatch in the&#160;number of columns in CSV and SAV files, it is captured in the&#160;<strong style="text-align: left;">Response </strong>column.</p>
            </li>
        </ol>
    </body>
</html>